//chemesis2.0
//cal5.g

//dimensions of compartments defined near the top for ease of changing
float somarad=2e-4
float somalen=1e-4
float dendrad=1e-4
float dendlen=1e-4
float RA = 100e-6  /* Mohm-cm, could be 200e-6 */
float RM = 1e-2    /* Megaohms - cm^2; 5e-2 from Spruston et al */
float CM = 1e3     /* nanoFarads/cm^2; 1e3 from Spruston et al. */
float PI=3.14159
float PCaT=0.01

//function to create rxnpools of calcium, buffer and bimolecular reaction
include cabuf.g
//function to create compartment
include comp.g
//function to create calcium channel
include ica.g

//neutral element which acts as directory, to organize elements
create neutral cell
ce cell

//invoke to function to create rxnpools and reaction
cabuf soma 0.1e-3 0.003 0.153 {somarad} {somalen}
cabuf dend 0.1e-3 0.003 0.153 {dendrad} {dendlen}

//create diffusion element which allows movement of Ca between compartments.
create diffusion somadend
setfield somadend D 6e-8 units 1e-3
addmsg somaCa somadend POOL1 len SAside Conc
addmsg dendCa somadend POOL2 len SAside Conc
addmsg somadend somaCa RXN0MOLES difflux1
addmsg somadend dendCa RXN0MOLES difflux2

create conservepool caext
setfield caext Ctot 10 volume 1 Cinit 10

//create electrical cell compartment
make_comp soma {somalen} {somarad}
make_comp dendrite {dendlen} {dendrad}
addmsg dendrite soma RAXIAL Ra previous_state
addmsg soma dendrite AXIAL  previous_state

//add calcium channels
ica_ghk soma somaCa {PCaP} {PCaT} caext
setfield somaCa Iunits 1e-9

//setup graphs to display results
include cal5graph.g

//again, use a larger dt for output
setclock 0 0.001
setclock 1 0.1

reset
step 40000
setfield soma inject 0.01
step 30000
setfield soma inject 0
step 30000
step 400000
setfield /graph1/# xmax 1000
step 500000
setfield /graph1/# xmax 2000
step 1000000

